var landing = implement("smp:external/superhero_landing");

function init(hero) {
    hero.setName("The Entity");
    hero.setTier(10);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("smp:code");
    hero.addAttribute("PUNCH_DAMAGE", 10, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.7, 0);
    hero.addAttribute("FALL_RESISTANCE", 100, 0);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);
    hero.addAttribute("IMPACT_DAMAGE", 1.5, 1)
    hero.addAttribute("BASE_SPEED_LEVELS", 1, 0);
    hero.addAttribute("MAX_HEALTH", 11, 0);
    hero.addAttribute("WEAPON_DAMAGE", -0.95, 1);

    hero.addKeyBind("ENERGY_PROJECTION", "Glitch Blasts", 2);
    hero.addKeyBind("CHARGED_BEAM", "Wrath Of The Code!", 1);
    hero.addKeyBind("SUPER_SPEED", "Glitch Boost", 3);
    hero.addKeyBind("TELEKINESIS", "Telekinesis", 4);

    hero.setTickHandler((entity, manager) => {
        landing.tick(entity, manager);
    });
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
